services:
    Claroline\AuthenticationBundle\Subscriber\RefreshTokenSubscriber:
        arguments:
            - '@Claroline\AuthenticationBundle\Security\Authentication\Authenticator'
        tags:
            - { name: kernel.event_subscriber }

    Claroline\AuthenticationBundle\Subscriber\AuthenticationParametersSubscriber:
        arguments:
            - '@Claroline\CoreBundle\Library\Configuration\PlatformConfigurationHandler'
            - '@Claroline\AppBundle\API\SerializerProvider'
            - '@Claroline\AuthenticationBundle\Manager\AuthenticationManager'
        tags:
            - { name: kernel.event_subscriber }

    # Administration
    Claroline\AuthenticationBundle\Subscriber\Administration\ParametersSubscriber:
        arguments:
            - '@Claroline\AppBundle\API\SerializerProvider'
            - '@Claroline\AuthenticationBundle\Manager\AuthenticationManager'
        tags:
            - { name: kernel.event_subscriber };
